// Copyright (c) 2023 Dominic Masters
// 
// This software is released under the MIT License.
// https://opensource.org/licenses/MIT

#pragma once
#include "scene/Scene.hpp"
#include "game/DawnGame.hpp"
#include "scene/components/ui/UICanvas.hpp"
#include "ui/UILabel.hpp"
#include "ui/UIBorder.hpp"
#include "prefabs/SimpleSpinningCubePrefab.hpp"

namespace Dawn {
  class TestUIScene : public Scene {
    private:
      Camera *camera = nullptr;
      UICanvas *canvas = nullptr;

    public:
      TestUIScene(DawnGame *game);
      std::vector<Asset*> getRequiredAssets() override;
      void stage() override;
  };
}